tigase.server.xmppserver

## Enum ServerConnections.OutgoingState

- java.lang.Object
- - java.lang.Enum<ServerConnections.OutgoingState>
  - - tigase.server.xmppserver.ServerConnections.OutgoingState

- All Implemented Interfaces:
    Serializable, Comparable<ServerConnections.OutgoingState>
  Enclosing class:
    ServerConnections

      public static enum ServerConnections.OutgoingState
      extends Enum<ServerConnections.OutgoingState>

  Enum description

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CONNECTING`
    `HANDSHAKING`
    `NULL`
    `OK`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ServerConnections.OutgoingState` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ServerConnections.OutgoingState[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NULL

          public static final ServerConnections.OutgoingState NULL

    - #### CONNECTING

          public static final ServerConnections.OutgoingState CONNECTING

    - #### HANDSHAKING

          public static final ServerConnections.OutgoingState HANDSHAKING

    - #### OK

          public static final ServerConnections.OutgoingState OK

  - ### Method Detail

    - #### values

          public static ServerConnections.OutgoingState[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ServerConnections.OutgoingState c : ServerConnections.OutgoingState.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ServerConnections.OutgoingState valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2017 "Tigase, Inc.". All rights reserved.